メインコンテンツへスキップ
POST
/
v1
/
audio
/
transcriptions
curl --request POST \
  --url 'https://api.elkapi.com/v1/audio/transcriptions' \
  --header 'Authorization: Bearer <token>' \
  --form 'file=@audio.mp3' \
  --form 'model=whisper-1' \
  --form 'language=language' \
  --form 'prompt=日差しのある庭を走る小さな子猫、映画的、高精細' \
  --form 'response_format=json' \
  --form 'temperature=1' \
  --form 'timestamp_granularities=word'
{
  "text": "こんにちは、自己紹介してください"
}

Documentation Index

Fetch the complete documentation index at: https://docs.elkapi.com/llms.txt

Use this file to discover all available pages before exploring further.

curl --request POST \
  --url 'https://api.elkapi.com/v1/audio/transcriptions' \
  --header 'Authorization: Bearer <token>' \
  --form 'file=@audio.mp3' \
  --form 'model=whisper-1' \
  --form 'language=language' \
  --form 'prompt=日差しのある庭を走る小さな子猫、映画的、高精細' \
  --form 'response_format=json' \
  --form 'temperature=1' \
  --form 'timestamp_granularities=word'
{
  "text": "こんにちは、自己紹介してください"
}

Authorizations

Authorization
string
必須
すべてのエンドポイントで Bearer Token 認証が必要です。リクエストヘッダーに追加します:
Authorization: Bearer YOUR_API_KEY

Body

file
file
必須
音声ファイル
model
string
デフォルト:"whisper-1"
必須
例:whisper-1
language
string
ISO-639-1言語コード
prompt
string
response_format
string
デフォルト:"json"
指定可能な値:jsontextsrtverbose_jsonvtt
temperature
number
timestamp_granularities
array<string>

Response

text
string